/*******************************************************************************
 * Copyright (c) 2004 Actuate Corporation.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Contributors:
 *  Actuate Corporation  - initial API and implementation
 *******************************************************************************/

package org.eclipse.birt.chart.device;

import java.util.HashMap;
import java.util.Map;

import org.eclipse.birt.chart.model.Chart;

/**
 * A convenient empty update notifier doing nothing.
 */
public class EmptyUpdateNotifier implements IUpdateNotifier
{

	private Chart designModel = null;
	private Chart runtimeModel = null;
	private Map contextMap;

	/**
	 * The constructor.
	 * 
	 * @param designModel
	 * @param runtimeModel
	 */
	public EmptyUpdateNotifier( Chart designModel, Chart runtimeModel )
	{
		this.designModel = designModel;
		this.runtimeModel = runtimeModel;

		contextMap = new HashMap( );
	}

	/*
	 * (non-Javadoc)
	 * 
	 * @see org.eclipse.birt.chart.device.IUpdateNotifier#regenerateChart()
	 */
	public void regenerateChart( )
	{
		// DOING NOTHING.
	}

	/*
	 * (non-Javadoc)
	 * 
	 * @see org.eclipse.birt.chart.device.IUpdateNotifier#repaintChart()
	 */
	public void repaintChart( )
	{
		// DOING NOTHING.
	}

	/*
	 * (non-Javadoc)
	 * 
	 * @see org.eclipse.birt.chart.device.IUpdateNotifier#peerInstance()
	 */
	public Object peerInstance( )
	{
		return null;
	}

	/*
	 * (non-Javadoc)
	 * 
	 * @see org.eclipse.birt.chart.device.IUpdateNotifier#getDesignTimeModel()
	 */
	public Chart getDesignTimeModel( )
	{
		return designModel;
	}

	/*
	 * (non-Javadoc)
	 * 
	 * @see org.eclipse.birt.chart.device.IUpdateNotifier#getRunTimeModel()
	 */
	public Chart getRunTimeModel( )
	{
		return runtimeModel;
	}

}
