/*******************************************************************************
 * Copyright (c) 2004 Actuate Corporation.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Contributors:
 *  Actuate Corporation  - initial API and implementation
 *******************************************************************************/

package org.eclipse.birt.core.archive;

/**
 * used to get a IArchiveLockManager instance.
 */
public class ArchiveLockManager
{

	protected static IArchiveLockManager instance;

	public static IArchiveLockManager getInstance( )
	{
		if ( instance != null )
		{
			return instance;
		}
		synchronized ( ArchiveLockManager.class )
		{
			if ( instance == null )
			{
				instance = new DocArchiveLockManager( );
			}
		}
		return instance;
	}
}
