/*
 *************************************************************************
 * Copyright (c) 2004 Actuate Corporation.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Contributors:
 *  Actuate Corporation  - initial API and implementation
 *  
 *************************************************************************
 */ 
package org.eclipse.birt.data.engine.olap.data.impl.aggregation;

import org.eclipse.birt.data.engine.olap.data.api.IAggregationResultSet;
import org.eclipse.birt.data.engine.olap.data.api.IDimensionResultIterator;
import org.eclipse.birt.data.engine.olap.data.impl.facttable.IFactTableRowIterator;


public class DataSet4AggregationFactory
{
	private DataSet4AggregationFactory()
	{
		
	}
	
	public static IDataSet4Aggregation createDataSet4Aggregation(
			IFactTableRowIterator factTableRowIterator,
			IDimensionResultIterator[] dimensionResultIterators)
	{
		return new DataSetFromOriginalCube(factTableRowIterator, dimensionResultIterators);
	}
	
	public static IDataSet4Aggregation createDataSet4Aggregation(
			IAggregationResultSet aggregationResultSet)
	{
		return new DataSetFromAggregationResultSet(aggregationResultSet);
	}
}


