/*******************************************************************************
 * Copyright (c) 2004 Actuate Corporation. All rights reserved. This program and
 * the accompanying materials are made available under the terms of the Eclipse
 * Public License v1.0 which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 * 
 * Contributors: Actuate Corporation - initial API and implementation
 ******************************************************************************/

package org.eclipse.birt.report.data.oda.jdbc.ui.util;

import java.sql.Connection;
import java.sql.Driver;
import java.sql.DriverPropertyInfo;
import java.sql.SQLException;
import java.util.Properties;

public class DriverExt implements Driver
{

	private Driver driver;

	DriverExt( Driver d )
	{
		this.driver = d;
	}

	public boolean acceptsURL( String u ) throws SQLException
	{
		return this.driver.acceptsURL( u );
	}

	public Connection connect( String u, Properties p ) throws SQLException
	{
		return this.driver.connect( u, p );
	}

	public int getMajorVersion( )
	{
		return this.driver.getMajorVersion( );
	}

	public int getMinorVersion( )
	{
		return this.driver.getMinorVersion( );
	}

	public DriverPropertyInfo[] getPropertyInfo( String u, Properties p )
			throws SQLException
	{
		return this.driver.getPropertyInfo( u, p );
	}

	public boolean jdbcCompliant( )
	{
		return this.driver.jdbcCompliant( );
	}

}