/*******************************************************************************
 * Copyright (c) 2004 Actuate Corporation. All rights reserved. This program and
 * the accompanying materials are made available under the terms of the Eclipse
 * Public License v1.0 which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 * 
 * Contributors: Actuate Corporation - initial API and implementation
 ******************************************************************************/

package org.eclipse.birt.report.designer.core;

/**
 * This class defines constants for report element name
 */

public interface IReportElementConstants
{

	public final static String AUTOTEXT_PAGE = "Page"; //$NON-NLS-1$

	public final static String AUTOTEXT_TOTAL_PAGE_COUNT = "TotalPageCount"; //$NON-NLS-1$
	
	public final static String AUTOTEXT_DATE = "Date"; //$NON-NLS-1$

	public final static String AUTOTEXT_CREATEDON = "Created on"; //$NON-NLS-1$

	public final static String AUTOTEXT_CREATEDBY = "Created by"; //$NON-NLS-1$

	public final static String AUTOTEXT_FILENAME = "Filename"; //$NON-NLS-1$

	public final static String AUTOTEXT_LASTPRINTED = "Last printed"; //$NON-NLS-1$

	public final static String AUTOTEXT_PAGEXOFY = "Page X of Y"; //$NON-NLS-1$

	public static final String AUTOTEXT_AUTHOR_PAGE_DATE = "AuthorPageDate";//$NON-NLS-1$

	public static final String AUTOTEXT_CONFIDENTIAL_PAGE = "ConfidentalPage";//$NON-NLS-1$

	public static final String REPORT_ELEMENT_TEXT = "Text"; //$NON-NLS-1$

	public static final String REPORT_ELEMENT_GRID = "Grid";//$NON-NLS-1$

	public static final String REPORT_ELEMENT_TABLE = "Table";//$NON-NLS-1$

	public static final String REPORT_ELEMENT_LABEL = "Label";//$NON-NLS-1$
	
	public static final String REPORT_ELEMENT_TEXTDATA = "TextData";//$NON-NLS-1$

	public static final String REPORT_ELEMENT_IMAGE = "Image";//$NON-NLS-1$

	public static final String REPORT_ELEMENT_LIST = "List";//$NON-NLS-1$

	public static final String REPORT_ELEMENT_DATA = "Data";//$NON-NLS-1$

	public static final String REPORT_ELEMENT_CELL = "Cell";//$NON-NLS-1$
	
	public static final String REPORT_ELEMENT_EXTENDED = "Extended";//$NON-NLS-1$

	public static final String BINDING_COLUMN_PREFIX = "row";//$NON-NLS-1$
	
	public static final String OUTER_BINDING_COLUMN_PREFIX = "._outer";//$NON-NLS-1$
	
	public static final String RESULTSET_COLUMN_PREFIX = "dataSetRow";//$NON-NLS-1$

	public static final String DATA_SET_PREFIX = "dataSets";//$NON-NLS-1$

	public static final String PARAMETER_PREFIX = "params";//$NON-NLS-1$
	
	public static final String TEMPLATE_FILE_EXTENSION = "rpttemplate"; //$NON-NLS-1$
	
	public static final String LIBRARY_FILE_EXTENSION = "rptlibrary"; //$NON-NLS-1$

	public static final String DESIGN_FILE_EXTENSION = "rptdesign"; //$NON-NLS-1$
	
	public static final String STOREDPROCUDURE_OUTPUT_PREFIX = "outputParams"; //$NON-NLS-1$
	
}