/*************************************************************************************
 * Copyright (c) 2004 Actuate Corporation and others.
 * All rights reserved. This program and the accompanying materials 
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 * 
 * Contributors:
 *     Actuate Corporation - Initial implementation.
 ************************************************************************************/

package org.eclipse.birt.report.designer.internal.ui.editors.xml;

import java.util.HashMap;
import java.util.Iterator;
import java.util.Map;

import org.eclipse.swt.graphics.Color;
import org.eclipse.swt.graphics.RGB;
import org.eclipse.swt.widgets.Display;

public class ColorManager
{

	protected Map fColorTable = new HashMap( 10 );

	public void dispose( )
	{
		Iterator e = fColorTable.values( ).iterator( );
		while ( e.hasNext( ) )
			( (Color) e.next( ) ).dispose( );
	}

	public Color getColor( RGB rgb )
	{
		Color color = (Color) fColorTable.get( rgb );
		if ( color == null )
		{
			color = new Color( Display.getCurrent( ), rgb );
			fColorTable.put( rgb, color );
		}
		return color;
	}
}
