/*******************************************************************************
 * Copyright (c) 2004 Actuate Corporation.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Contributors:
 *  Actuate Corporation  - initial API and implementation
 *******************************************************************************/

package org.eclipse.birt.report.designer.ui.ide.navigator;

import org.eclipse.core.resources.IFile;
import org.eclipse.jface.action.IAction;
import org.eclipse.jface.viewers.ISelection;
import org.eclipse.jface.viewers.IStructuredSelection;
import org.eclipse.ui.IViewActionDelegate;
import org.eclipse.ui.IViewPart;

/**
 * Base class for all the view action on the navigator view
 */
public abstract class AbstractViewAction implements IViewActionDelegate
{

	private IFile seletedFile;

	/**
	 * @see org.eclipse.ui.IViewActionDelegate#init(org.eclipse.ui.IViewPart)
	 */
	public void init( IViewPart view )
	{

	}

	/**
	 * @see
	 * 	org.eclipse.ui.IActionDelegate#selectionChanged(org.eclipse.jface.action
	 * 	.IAction, org.eclipse.jface.viewers.ISelection)
	 */
	public void selectionChanged( IAction action, ISelection selection )
	{
		IStructuredSelection selectedElement = (IStructuredSelection) selection;
		if ( selectedElement.size( ) == 1
				&& selectedElement.getFirstElement( ) instanceof IFile )
		{
			seletedFile = (IFile) selectedElement.getFirstElement( );
		}
	}

	protected IFile getSelectedFile( )
	{
		return seletedFile;
	}

}
