/*******************************************************************************
 * Copyright (c) 2004 Actuate Corporation.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Contributors:
 *  Actuate Corporation  - initial API and implementation
 *******************************************************************************/
package org.eclipse.birt.report.engine.css.engine;

public interface StyleConstants
{
	// bidi_hcg: As a result of a new style added ("direction"), align the
	// constants with org.eclipse.birt.report.engine.css.engine.PerfectHash

	final int STYLE_DIRECTION = 0;
	final int STYLE_MARGIN_LEFT = 1;
	final int STYLE_MARGIN_RIGHT = 2;
	final int STYLE_FONT_SIZE = 3;
	final int STYLE_FONT_STYLE = 4;
	final int STYLE_MASTER_PAGE = 5;
	final int STYLE_FONT_VARIANT = 6;
	final int STYLE_BORDER_RIGHT_COLOR = 7;
	final int STYLE_BORDER_BOTTOM_COLOR = 8;
	final int STYLE_BORDER_TOP_STYLE = 9;
	final int STYLE_BORDER_RIGHT_STYLE = 10;
	final int STYLE_BORDER_BOTTOM_STYLE = 11;
	final int STYLE_COLOR = 12;
	final int STYLE_BORDER_TOP_COLOR = 13;
	final int STYLE_BACKGROUND_REPEAT = 14;
	final int STYLE_TEXT_OVERLINE = 15;
	final int STYLE_LINE_HEIGHT = 16;
	final int STYLE_NUMBER_ALIGN = 17;
	final int STYLE_MARGIN_BOTTOM = 18;
	final int STYLE_CAN_SHRINK = 19;
	final int STYLE_BACKGROUND_COLOR = 20;
	final int STYLE_BORDER_RIGHT_WIDTH = 21;
	final int STYLE_BORDER_BOTTOM_WIDTH = 22;
	final int STYLE_TEXT_ALIGN = 23;
	final int STYLE_WIDOWS = 24;
	final int STYLE_ORPHANS = 25;
	final int STYLE_SHOW_IF_BLANK = 26;
	final int STYLE_TEXT_TRANSFORM = 27;
	final int STYLE_MARGIN_TOP = 28;
	final int STYLE_TEXT_INDENT = 29;
	final int STYLE_PADDING_LEFT = 30;
	final int STYLE_VERTICAL_ALIGN = 31;
	final int STYLE_BACKGROUND_ATTACHMENT = 32;
	final int STYLE_DISPLAY = 33;
	final int STYLE_NUMBER_FORMAT = 34;
	final int STYLE_VISIBLE_FORMAT = 35;
	final int STYLE_SQL_DATE_FORMAT = 36;
	final int STYLE_BACKGROUND_IMAGE = 37;
	final int STYLE_DATE_FORMAT = 38;
	final int STYLE_TEXT_UNDERLINE = 39;
	final int STYLE_SQL_TIME_FORMAT = 40;
	final int STYLE_BORDER_LEFT_COLOR = 41;
	final int STYLE_TEXT_LINETHROUGH = 42;
	final int STYLE_BORDER_LEFT_STYLE = 43;
	final int STYLE_PADDING_RIGHT = 44;
	final int STYLE_PADDING_BOTTOM = 45;
	final int STYLE_FONT_WEIGHT = 46;
	final int STYLE_STRING_FORMAT = 47;
	final int STYLE_BACKGROUND_POSITION_X = 48;
	final int STYLE_LETTER_SPACING = 49;
	final int STYLE_PADDING_TOP = 50;
	final int STYLE_BORDER_LEFT_WIDTH = 51;
	final int STYLE_FONT_FAMILY = 52;
	final int STYLE_WHITE_SPACE = 53;
	final int STYLE_BACKGROUND_POSITION_Y = 54;
	final int STYLE_WORD_SPACING = 55;
	final int STYLE_PAGE_BREAK_AFTER = 56;
	final int STYLE_BORDER_TOP_WIDTH = 57;
	final int STYLE_PAGE_BREAK_BEFORE = 58;
	final int STYLE_PAGE_BREAK_INSIDE = 59;

	final int NUMBER_OF_STYLE = 60;
}
