/*******************************************************************************
 * Copyright (c)2007 Actuate Corporation.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Contributors:
 *  Actuate Corporation  - initial API and implementation
 *******************************************************************************/

package org.eclipse.birt.report.engine.layout.emitter;

import org.eclipse.birt.report.engine.api.IHTMLActionHandler;
import org.eclipse.birt.report.engine.api.IReportRunnable;
import org.eclipse.birt.report.engine.api.impl.Action;
import org.eclipse.birt.report.engine.api.script.IReportContext;
import org.eclipse.birt.report.engine.content.IHyperlinkAction;


public class EmitterUtil
{

	public static float ITALIC_HORIZONTAL_COEFFICIENT = (float) Math
			.tan( 15f * Math.PI / 180 );

	public static float getItalicHorizontalCoefficient( )
	{
		return ITALIC_HORIZONTAL_COEFFICIENT;
	}

	public static String getHyperlinkUrl( IHyperlinkAction linkAction,
			IReportRunnable reportRunnable, IHTMLActionHandler actionHandler,
			IReportContext reportContext )
	{
		String systemId = reportRunnable == null ? null : reportRunnable
				.getReportName( );
		Action action = new Action( systemId, linkAction );
		if ( actionHandler != null )
		{
			return actionHandler.getURL( action, reportContext );
		}
		else
		{
			return linkAction.getHyperlink( );
		}
	}
}
