/*******************************************************************************
* Copyright (c) 2004 Actuate Corporation.
* All rights reserved. This program and the accompanying materials
* are made available under the terms of the Eclipse Public License v1.0
* which accompanies this distribution, and is available at
* http://www.eclipse.org/legal/epl-v10.html
*
* Contributors:
*  Actuate Corporation  - initial API and implementation
*******************************************************************************/ 

package org.eclipse.birt.report.model.parser;

import org.eclipse.birt.report.model.core.DesignElement;
import org.eclipse.birt.report.model.elements.RectangleItem;
import org.eclipse.birt.report.model.util.XMLParserException;
import org.xml.sax.Attributes;


/**
 * This class parses a rectangle item.
 * 
 */

public class RectangleState extends ReportItemState
{
	/**
	 * The rectangle being created.
	 */
	
	protected RectangleItem element = null; 

 
    /**
     * Constructs the rectangle item state with the design parser handler, the
	 * container element and the container slot of the rectangle item.
     * 
	 * @param handler the design file parser handler
	 * @param theContainer the element that contains this one
	 * @param slot the slot in which this element appears
     */
	
    public RectangleState( ModuleParserHandler handler, DesignElement theContainer, int slot )
    {
        super( handler, theContainer, slot );
    }

    /* (non-Javadoc)
     * @see org.eclipse.birt.report.model.parser.DesignParseState#getElement()
     */
    
    public DesignElement getElement( )
    {
        return element;
    }

    /* (non-Javadoc)
     * @see org.eclipse.birt.report.model.util.AbstractParseState#parseAttrs(org.xml.sax.Attributes)
     */
    
    public void parseAttrs( Attributes attrs ) throws XMLParserException
    {
		element = new RectangleItem( );
		initElement( attrs );
    }
    
}
