/*******************************************************************************
 * Copyright (c) 2004 Actuate Corporation.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Contributors:
 *  Actuate Corporation  - initial API and implementation
 *******************************************************************************/

package org.eclipse.birt.report.model.util;

import org.eclipse.birt.report.model.api.activity.ActivityStackEvent;
import org.eclipse.birt.report.model.api.activity.ActivityStackListener;
import org.eclipse.birt.report.model.core.Module;

/**
 * Internally used listener to disable caching values in the report design.
 */

public class DisableCachingListener implements ActivityStackListener
{

	/**
	 * The report design for the listener.
	 */

	private Module module;

	/**
	 * Constructor.
	 * 
	 * @param module
	 *            the report design
	 */

	public DisableCachingListener( Module module )
	{
		this.module = module;
	}

	/*
	 * (non-Javadoc)
	 * 
	 * @see
	 * org.eclipse.birt.report.model.api.activity.ActivityStackListener#stackChanged
	 * (org.eclipse.birt.report.model.api.activity.ActivityStackEvent)
	 */

	public void stackChanged( ActivityStackEvent event )
	{
		module.setIsCached( false );
		module.getActivityStack( ).removeListener( this );
	}

}
